//Caching the element IDs
var Banner = Banner || {}, addListeners, exitHandler, mainClick = document.getElementById('main-click'), cta = document.getElementById('cta');

Banner.init = function(){
	//Add the listeners for the clicks, and start the animation
	addListeners();
	Banner.animate();		
};
Banner.animate = function(){
	var d = 0.5; //delay in seconds before the animation should start.
	var p = 5; //time of still frame
    
	TweenLite.fromTo(['#f2-text'], 1, {y:-100, opacity:0},{y:0, opacity:1,ease:Circ.easeOut, delay: d+0.3});
	TweenLite.fromTo(['#f2-logos'], 1, {y:100, opacity:0},{y:0, opacity:1,ease:Circ.easeOut, delay: d+0.6});
    d = d + p;	
    TweenLite.to(['#f2-bg'], 1.5,{opacity:0,ease:Circ.easeOut, delay: d+0.6});
	TweenLite.to(['#f2-text'], 1,{y:-100,opacity:0,ease:Circ.easeOut, delay: d});
	TweenLite.to(['#f2-logos'], 1,{y:100,opacity:0,ease:Circ.easeOut, delay: d+0.3});
    d = d + 1;  
    
	TweenLite.to(['#f3-bg'], 1.5, {opacity:1,ease:Circ.easeOut, delay: d});	
	TweenLite.fromTo(['#f3-text'], 1, {y:-100, opacity:0},{y:0, opacity:1,ease:Circ.easeOut, delay: d+0.3});
	TweenLite.fromTo(['#f3-logos'], 1, {y:100, opacity:0},{y:0, opacity:1,ease:Circ.easeOut, delay: d+0.6});	
		
};